diff --git a/doc/src/sgml/charset.sgml b/doc/src/sgml/charset.sgml
index 1b00e543a6..300a0d83d4 100644
--- a/doc/src/sgml/charset.sgml
+++ b/doc/src/sgml/charset.sgml
@@ -346,7 +346,8 @@ initdb --locale=sv_SE
     collation.  (The built-in collatable data types are
     <type>text</type>, <type>varchar</type>, and <type>char</type>.
     User-defined base types can also be marked collatable, and of course
-    a domain over a collatable data type is collatable.)  If the
+    a <link linkend="domains">domain</link> over a collatable data type
+    is collatable.)  If the
     expression is a column reference, the collation of the expression is the
     defined collation of the column.  If the expression is a constant, the
     collation is the default collation of the data type of the
diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index 41f3e5ee86..a7a0e35ac5 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -508,6 +508,27 @@
    </glossdef>
   </glossentry>
 
+  <glossentry id="glossary-domain-internet">
+   <glossterm>Domain (Internet)</glossterm>
+   <glossdef>
+    <para>
+     A realm to administer certain Internet resources.
+    </para>
+   </glossdef>
+  </glossentry>
+
+  <glossentry id="glossary-domain-sql">
+   <glossterm>Domain (SQL)</glossterm>
+   <glossdef>
+    <para>
+     A user-defined data type that is based on another underlying data type.
+    </para>
+    <para>
+     For more information, see <xref linkend="domains"/>.
+    </para>
+   </glossdef>
+  </glossentry>
+
   <glossentry id="glossary-durability">
    <glossterm>Durability</glossterm>
    <glossdef>
